import "choerodon-ui/pro/lib/data-set/style";
import _DataSet from "choerodon-ui/pro/lib/data-set";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { createContext, useContext, useEffect, useMemo } from 'react';
import { inject } from 'mobx-react';
import { injectIntl } from 'react-intl';
import AllProjectDataSet from "./AllProjectDataSet";
import PermissionDataSet from "./PermissionProjectDataSet";
import DetailDataSet from "./DetailDataSet";
import OptionsDataSet from "./OptionsDataSet";
var Store = /*#__PURE__*/createContext();
export function useCertPermissionStore() {
  return useContext(Store);
}
export var StoreProvider = injectIntl(inject('AppState')(function (props) {
  var projectId = props.AppState.currentMenuType.projectId,
      formatMessage = props.intl.formatMessage,
      children = props.children,
      intlPrefix = props.intlPrefix,
      certId = props.certId;
  var allProjectDs = useMemo(function () {
    return new _DataSet(AllProjectDataSet({
      intlPrefix: intlPrefix,
      formatMessage: formatMessage,
      projectId: projectId
    }));
  }, [projectId]);
  var detailDs = useMemo(function () {
    return new _DataSet(DetailDataSet({
      intlPrefix: intlPrefix,
      formatMessage: formatMessage,
      projectId: projectId,
      certId: certId
    }));
  }, [projectId, certId]);
  var permissionProjectDs = useMemo(function () {
    return new _DataSet(PermissionDataSet({
      intlPrefix: intlPrefix,
      formatMessage: formatMessage,
      projectId: projectId,
      detailDs: detailDs,
      certId: certId
    }));
  }, [projectId, detailDs, certId]);
  var optionsDs = useMemo(function () {
    return new _DataSet(OptionsDataSet({
      projectId: projectId,
      certId: certId
    }));
  }, [projectId, certId]);

  var value = _objectSpread(_objectSpread({}, props), {}, {
    allProjectDs: allProjectDs,
    permissionProjectDs: permissionProjectDs,
    detailDs: detailDs,
    optionsDs: optionsDs
  });

  return /*#__PURE__*/React.createElement(Store.Provider, {
    value: value
  }, children);
}));